button.btn, a.btn {
  @apply font-semibold rounded;
  @apply py-1 px-2;


  &.btn-big {
    @apply font-bold;
    @apply py-3 px-4;
  }

  // -------------
  // button colors
  // -------------

  // blue button
  &.btn-blue {
    @apply bg-blue-500 text-white;

    &:hover {
      @apply bg-blue-700;
    }
  }
  &.btn-outline-blue {
    @apply border border-blue-500;

    &:hover {
      @apply bg-blue-700 border-transparent;
      @apply text-white;
    }
  }

  // green button
  &.btn-green {
    @apply bg-green-500 text-white;

    &:hover {
      @apply bg-green-700;
    }
  }
  &.btn-outline-green {
    @apply border border-green-500;

    &:hover {
      @apply bg-green-700 border-transparent;
      @apply text-white;
    }
  }

  // red button
  &.btn-red {
    @apply bg-red-500 text-white;

    &:hover {
      @apply bg-red-700;
    }
  }
  &.btn-outline-red {
    @apply border border-red-500;

    &:hover {
      @apply bg-red-700 border-transparent;
      @apply text-white;
    }
  }
}

// inline flex to show button bar
.inline-flex {
  .btn {
    &:first-child {
      @apply rounded-l rounded-r-none;
    }
    &:last-child {
      @apply rounded-r rounded-l-none;
    }
  }
}